Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::DDDriverList Class Reference

Encapsulates enumeration of DirectDraw drivers. More...

`#include <OgreDDDriverList.h>`

List of all members.

## Public Methods

| DDDriverList ()
| ~DDDriverList ()
BOOL | enumerate (void)
DDDriver * | item (size_t index)
| Returns the item at the specified position.
size_t | count (void) const

## Private Methods

void | AddDriver (GUID FAR *lpGuid, LPSTR lpDriverDesc, LPSTR lpDriverName)

## Private Attributes

std::vector< DDDriver > | mDriverList

## Friends

BOOL WINAPI | DDEnumCallbackEx (GUID FAR *lpGUID, LPSTR lpDriverDescription, LPSTR lpDriverName, LPVOID lpContext, HMONITOR hm)
BOOL WINAPI | DDEnumCallback (GUID FAR *lpGUID, LPSTR lpDriverDescription, LPSTR lpDriverName, LPVOID lpContext)

## Detailed Description

Encapsulates enumeration of DirectDraw drivers.

Utility class for D3DRenderSystem.

Definition at line 35 of file OgreDDDriverList.h.

## Constructor & Destructor Documentation

Ogre::DDDriverList::DDDriverList | ( |  | ) |

| Definition at line 60 of file OgreDDDriverList.cpp. References enumerate().

Ogre::DDDriverList::~DDDriverList | ( |  | ) |

| Definition at line 70 of file OgreDDDriverList.cpp. References Ogre::DDDriver::Cleanup(), count(), item(), and mDriverList.

## Member Function Documentation

void Ogre::DDDriverList::AddDriver | ( | GUID FAR * | lpGuid,
|  | LPSTR | lpDriverDesc,
|  | LPSTR | lpDriverName
| ) | `[private]`

| Definition at line 127 of file OgreDDDriverList.cpp. References Ogre::LML_NORMAL, and mDriverList. Referenced by Ogre::DDEnumCallbackEx().

size_t Ogre::DDDriverList::count | ( | void |  | ) | const

| Definition at line 137 of file OgreDDDriverList.cpp. References mDriverList. Referenced by Ogre::D3DRenderSystem::initConfigOptions(), Ogre::D3DRenderSystem::initialise(), Ogre::D3DRenderSystem::refreshDDSettings(), Ogre::D3DRenderSystem::validateConfigOptions(), and ~DDDriverList().

BOOL Ogre::DDDriverList::enumerate | ( | void |  | ) |

| Definition at line 80 of file OgreDDDriverList.cpp. References DDEnumCallback, and DDEnumCallbackEx. Referenced by DDDriverList().

DDDriver * Ogre::DDDriverList::item | ( | size_t | index | ) |

| Returns the item at the specified position. Throws an std::out_of_range if the index is greater then the size. Definition at line 142 of file OgreDDDriverList.cpp. References mDriverList. Referenced by Ogre::D3DRenderSystem::initConfigOptions(), Ogre::D3DRenderSystem::initialise(), Ogre::D3DRenderSystem::refreshDDSettings(), Ogre::D3DRenderSystem::validateConfigOptions(), and ~DDDriverList().

## Friends And Related Function Documentation

BOOL WINAPI DDEnumCallback | ( | GUID FAR * | lpGUID,
|  | LPSTR | lpDriverDescription,
|  | LPSTR | lpDriverName,
|  | LPVOID | lpContext
| ) | `[friend]`

| Definition at line 52 of file OgreDDDriverList.cpp. Referenced by enumerate().

BOOL WINAPI DDEnumCallbackEx | ( | GUID FAR * | lpGUID,
|  | LPSTR | lpDriverDescription,
|  | LPSTR | lpDriverName,
|  | LPVOID | lpContext,
|  | HMONITOR | hm
| ) | `[friend]`

| Definition at line 34 of file OgreDDDriverList.cpp. Referenced by enumerate().

## Member Data Documentation

std::vector<DDDriver> Ogre::DDDriverList::mDriverList`[private]`

| Definition at line 40 of file OgreDDDriverList.h. Referenced by AddDriver(), count(), item(), and ~DDDriverList().

The documentation for this class was generated from the following files:

- OgreDDDriverList.h
- OgreDDDriverList.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:49:31 2004